/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	学習履歴進捗対比表示画面表示用データオブジェクトクラス
//
//		変更履歴
//			2005.01.31  新規作成  Katsuhiko.Sakurai(UNITEC)
//
//	機能
//
//	このクラスは学習履歴進捗対比表示画面で表示するデータを保持する
//  クラスです。
//
////////////////////////////////////////////////////////////////
package jp.co.ntt.lms.lo.progress;

import java.util.List;

/**
 * 学習履歴進捗対比表示画面表示用データオブジェクトクラスです。
 * 
 * @author Katsuhiko Sakurai (UNITEC)
 * @version 1.0
 */
public class LearningProgressViewData {
	
	private String listType = null;
	private String targetName = null;
	private List progressList = null;

	/**
	 * コンストラクタです。
	 * 
	 * @param listType 一覧表示するリストの種別 0:ユーザ一覧, 1:Lo一覧
	 * @param targetName 対象となるユーザ・グループ名もしくはLO名
	 * @param progressList 進捗リスト
	 */
	public LearningProgressViewData(String listType, 
									String targetName, 
									List progressList) {
		this.listType = listType;
		this.targetName = targetName;
		this.progressList = progressList;
	}
	
	/**
	 * 一覧表示リスト種別を取得します。
	 * 
	 * @return String リスト種別　0:ユーザ一覧, 1:Lo一覧
	 */
	public String getListType() {
		return this.listType;
	}
	
	/**
	 * 進捗リストを取得します。
	 * 
	 * @return 進捗リスト
	 */
	public List getProgressList() {
		return this.progressList;
	}
	
	/**
	 * 対象となるユーザ・グループ名もしくはLO名を取得します。
	 * 
	 * @return 対象となるユーザ・グループ名もしくはLO名
	 */
	public String getTargetName() {
		return this.targetName;
	}
}
